/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ImportWinpaieElementsView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	/** Creates new form KxElementsCtrl */
    public ImportWinpaieElementsView(java.awt.Frame parent, boolean modal) {
        
        super(parent, modal);
    	
        initComponents();

        initGui();

    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGetFile = new javax.swing.JButton();
        buttonClose = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        tfTitre = new javax.swing.JTextField();
        tfFile = new javax.swing.JTextField();
        mois = new javax.swing.JComboBox();
        jLabel12 = new javax.swing.JLabel();
        exercices = new javax.swing.JComboBox();
        buttonImport = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        console = new javax.swing.JTextArea();
        jLabel13 = new javax.swing.JLabel();
        buttonDetailImport = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        checkEntete = new javax.swing.JCheckBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("");
        setResizable(false);

        buttonGetFile.setToolTipText("Sélection du fichier à importer");
        buttonGetFile.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonGetFile.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonGetFile.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonGetFileActionPerformed(evt);
            }
        });

        buttonClose.setText("Fermer");
        buttonClose.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonClose.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCloseActionPerformed(evt);
            }
        });

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("FICHIER :");

        tfTitre.setBackground(new java.awt.Color(102, 102, 102));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Arial", 0, 14));
        tfTitre.setForeground(new java.awt.Color(204, 204, 255));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("IMPORT WINPAIE");
        tfTitre.setBorder(null);
        tfTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreActionPerformed(evt);
            }
        });

        tfFile.setEditable(false);
        tfFile.setEnabled(false);

        mois.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        mois.setToolTipText("Budget");
        mois.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                moisActionPerformed(evt);
            }
        });

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("MOIS :");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        exercices.setToolTipText("Budget");
        exercices.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exercicesActionPerformed(evt);
            }
        });

        buttonImport.setText("Importer");
        buttonImport.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonImport.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonImport.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonImportActionPerformed(evt);
            }
        });

        console.setBackground(new java.awt.Color(204, 204, 255));
        console.setColumns(20);
        console.setEditable(false);
        console.setRows(5);
        console.setEnabled(false);
        jScrollPane1.setViewportView(console);

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel13.setText("Résultat :");

        buttonDetailImport.setToolTipText("Afficher le détail de l'import pour le mois sélectionné");
        buttonDetailImport.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonDetailImport.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonDetailImport.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonDetailImportActionPerformed(evt);
            }
        });

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 10));
        jLabel1.setForeground(new java.awt.Color(102, 102, 102));
        jLabel1.setText("* Sélectionnez un fichier puis cliquez sur le bouton pour l'importer");

        checkEntete.setForeground(new java.awt.Color(102, 102, 102));
        checkEntete.setText("Fichier Avec Entête");


        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 508, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(292, Short.MAX_VALUE)
                .add(buttonImport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(buttonClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 100, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 102, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(mois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 142, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(buttonDetailImport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(114, Short.MAX_VALUE))
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 488, Short.MAX_VALUE)
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 102, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(396, Short.MAX_VALUE))
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 102, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(checkEntete)
                    .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 380, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(tfFile, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 324, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonGetFile, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(21, 21, 21)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12)
                    .add(mois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonDetailImport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(tfFile, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonGetFile, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(checkEntete)
                .add(17, 17, 17)
                .add(jLabel13)
                .add(5, 5, 5)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 211, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonImport, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-516)/2, (screenSize.height-465)/2, 516, 465);
    }// </editor-fold>//GEN-END:initComponents

private void buttonGetFileActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonGetFileActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonGetFileActionPerformed

private void buttonCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCloseActionPerformed
    dispose();
}//GEN-LAST:event_buttonCloseActionPerformed

private void moisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_moisActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_moisActionPerformed

private void exercicesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exercicesActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_exercicesActionPerformed

private void buttonImportActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonImportActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonImportActionPerformed

private void tfTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfTitreActionPerformed

private void buttonDetailImportActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDetailImportActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_buttonDetailImportActionPerformed

//    /**
//    * @param args the command line arguments
//    */
//    public static void main(String args[]) {
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                new KxElementsView().setVisible(true);
//            }
//        });
//    }

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton buttonClose;
    protected javax.swing.JButton buttonDetailImport;
    protected javax.swing.JButton buttonGetFile;
    protected javax.swing.JButton buttonImport;
    private javax.swing.JCheckBox checkEntete;
    private javax.swing.JTextArea console;
    protected javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JScrollPane jScrollPane1;
    protected javax.swing.JComboBox mois;
    private javax.swing.JTextField tfFile;
    private javax.swing.JTextField tfTitre;
    // End of variables declaration//GEN-END:variables

    
    public void setListeExercices(NSArray liste) {
    	
    	exercices.removeAllItems();
    	    	
    	for (int i=0;i<liste.count();i++) {
    		
    		exercices.addItem(liste.objectAtIndex(i));
    		
    	}
    }
        
	private void initGui() {

		buttonImport.setIcon(KakiIcones.ICON_DOSSIER_22);
        buttonGetFile.setIcon(KakiIcones.ICON_SELECT_16);
        buttonClose.setIcon(KakiIcones.ICON_CLOSE);

        buttonDetailImport.setIcon(KakiIcones.ICON_LOUPE_22);

	}

	public javax.swing.JButton getButtonGetFile() {
		return buttonGetFile;
	}


	public void setButtonGetFile(javax.swing.JButton buttonGetFile) {
		this.buttonGetFile = buttonGetFile;
	}


	public javax.swing.JButton getButtonImport() {
		return buttonImport;
	}


	public void setButtonImport(javax.swing.JButton buttonImport) {
		this.buttonImport = buttonImport;
	}


	public javax.swing.JTextField getTfFile() {
		return tfFile;
	}


	public void setTfFile(javax.swing.JTextField tfFile) {
		this.tfFile = tfFile;
	}

	public javax.swing.JTextArea getConsole() {
		return console;
	}


	public void setConsole(javax.swing.JTextArea console) {
		this.console = console;
	}


	public javax.swing.JCheckBox getCheckEntete() {
		return checkEntete;
	}


	public void setCheckEntete(javax.swing.JCheckBox checkEntete) {
		this.checkEntete = checkEntete;
	}


	public javax.swing.JComboBox getExercices() {
		return exercices;
	}


	public javax.swing.JButton getButtonDetailImport() {
		return buttonDetailImport;
	}


	public void setButtonDetailImport(javax.swing.JButton buttonDetailImport) {
		this.buttonDetailImport = buttonDetailImport;
	}


	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}


	public javax.swing.JComboBox getMois() {
		return mois;
	}


	public void setMois(javax.swing.JComboBox mois) {
		this.mois = mois;
	}


	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}


	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}


	public javax.swing.JButton getButtonClose() {
		return buttonClose;
	}


	public void setButtonClose(javax.swing.JButton buttonClose) {
		this.buttonClose = buttonClose;
	}
    
}
